Package tigase.db.util

## Class SchemaManager.SchemaInfo

- java.lang.Object
- - tigase.db.util.SchemaManager.SchemaInfo

- Enclosing class:
    SchemaManager

      public static class SchemaManager.SchemaInfo
      extends java.lang.Object

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `SchemaInfo​(java.lang.String id, java.lang.String name, boolean external, java.util.List<SchemaManager.RepoInfo> repositories)` |
    `SchemaInfo​(Repository.SchemaId schema, java.util.List<SchemaManager.RepoInfo> repositories)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `java.lang.String` | `getId()` |
    `java.lang.String` | `getName()` |
    `java.util.List<SchemaManager.RepoInfo>` | `getRepositories()` |
    `java.util.Optional<Version>` | `getVersion()` |
    `boolean` | `isExternal()` |
    `boolean` | `isValid()` |
    `java.lang.String` | `toString()` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### SchemaInfo

          public SchemaInfo​(Repository.SchemaId schema,
                            java.util.List<SchemaManager.RepoInfo> repositories)

    - #### SchemaInfo

          public SchemaInfo​(java.lang.String id,
                            java.lang.String name,
                            boolean external,
                            java.util.List<SchemaManager.RepoInfo> repositories)

  - ### Method Detail

    - #### getId

          public java.lang.String getId()

    - #### getName

          public java.lang.String getName()

    - #### getRepositories

          public java.util.List<SchemaManager.RepoInfo> getRepositories()

    - #### getVersion

          public java.util.Optional<Version> getVersion()

    - #### isExternal

          public boolean isExternal()

    - #### isValid

          public boolean isValid()

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`